//	Release Version:	$ ODF 1 $
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class CMnuPart;
class FW_CMenuEvent;

//=======================================================================
class CMnuFrame : public FW_CFrame {
public:
	FW_DECLARE_AUTO(CMnuFrame)
						CMnuFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CMnuPart* mnuPart);
	virtual 			~CMnuFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual FW_Boolean	DoAdjustMenus(Environment* ev,
									  FW_CMenuBar* menuBar, 
									  FW_Boolean hasMenuFocus,
									  FW_Boolean isRoot);
	virtual FW_Boolean	DoMenu(Environment* ev,
							   const FW_CMenuEvent& theMenuEvent);
private:
	CMnuPart* 			fMnuPart;
	FW_Boolean			fSoundOn;
};

//=======================================================================
#endif
